<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<% html_title t(:label_administration), t(:label_workflow_plural) -%>
<%= render partial: 'toolbar', locals: {title: Workflow.model_name.human } %>

<%= styled_form_tag({}, method: 'get') do %>
  <fieldset class="simple-filters--container">
    <legend><%=t(:text_workflow_edit)%></legend>
    <ul class="simple-filters--filters">
      <li class="simple-filters--filter">
        <%= styled_label_tag :role_id, Role.model_name.human, class: 'simple-filters--filter-name' %>
        <div class="simple-filters--filter-value">
          <%= styled_select_tag 'role_id', options_from_collection_for_select(@roles, "id", "name", @role && @role.id) %>
        </div>
      </li>
      <li class="simple-filters--filter">
        <%= styled_label_tag :type_id, Type.model_name.human, class: 'simple-filters--filter-name' %>
        <div class="simple-filters--filter-value">
          <%= styled_select_tag 'type_id', options_from_collection_for_select(@types, "id", "name", @type && @type.id) %>
        </div>
      </li>
      <ul class="simple-filter--trailing-labels">
        <li class="form--field -trailing-label">
          <%= hidden_field_tag 'used_statuses_only', '0', id: 'used_statuses_only_hidden' %>

          <%= styled_label_tag :used_statuses_only, t(:label_display_used_statuses_only) %>
          <span class="form--field-container">
            <%= styled_check_box_tag :used_statuses_only, '1', @used_statuses_only %>
          </span>
        </li>
      </ul>
      <li class="simple-filters--controls">
        <%= submit_tag t(:button_edit), name: nil, accesskey: accesskey(:edit), class: 'button -small -primary' %>
      </li>
    </ul>
  </fieldset>
<% end %>
<% if @type && @role && @statuses.any? %>
  <%= form_tag({action: :update}, id: 'workflow_form', method: :patch) do %>
    <%= hidden_field_tag 'type_id', @type.id %>
    <%= hidden_field_tag 'role_id', @role.id %>

    <%= render partial: 'form',
               locals: { name: 'always', workflows: @workflows['always'] } %>

    <%= augmented_collapsible_section initiallyExpanded: @workflows['author'].present?,
                                      title: t(:label_additional_workflow_transitions_for_author) do %>
      <%= render partial: 'form', locals: { name: 'author', workflows: @workflows['author'] } %>
    <% end %>

    <%= augmented_collapsible_section initiallyExpanded: @workflows['assignee'].present?,
                                      title: t(:label_additional_workflow_transitions_for_assignee) do %>
      <%= render partial: 'form', locals: { name: 'assignee', workflows: @workflows['assignee'] } %>
    <% end %>

    <%= styled_button_tag t(:button_save), class: '-primary -with-icon icon-checkmark' %>
  <% end %>
<% end %>

<% html_title(Workflow.model_name.human) -%>
